# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class GoogleBaseEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<GoogleBaseEntry>
                  com.google.api.gbase.client.GoogleBaseEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class GoogleBaseEntry

extends BaseEntry<GoogleBaseEntry>

An object corresponding to one entry in a Google Base Atom XML file. This kind of entries supports tags in the g: namespace. GoogleBaseEntries are usually returned by `BaseFeed.getEntries()`, `GoogleBaseService.getEntry(java.net.URL)`, but they can also be created independently. Depending on the feed or URL you got the Entry from, it can contain:

- g: namespace tags (`getGoogleBaseAttributes()`, if it is an item feed or a URL specifying an item.
- gm: namespace tags (`getGoogleBaseMetadata()`, if it is a histogram or an item type.
- locale feeds will contain no g: or gm: namespaces whatsoever. You'll find the locale name in the title of the entry.

Items usually contain only g: tags (attributes) or only gm: tags (metadata) depending on their types, never both.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`GoogleBaseEntry()` Creates a new entry.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares extensions for the g: and gm: namespaces to an extension profile.
`GoogleBaseAttributesExtension` `getGoogleBaseAttributes()` Accesses tags in the g: namespace.
`MetadataEntryExtension` `getGoogleBaseMetadata()` Accesses tags in the gm: namespace (attribute histogram and item type descriptions).
`FeedLink<GoogleBaseMediaFeed>` `getMediaFeedLink()` Returns the `FeedLink` object pointing to the media feed, or null if the media feed link is not provided (e.g.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GoogleBaseEntry

    public GoogleBaseEntry()

  Creates a new entry.

Method Detail

### getGoogleBaseAttributes

    public GoogleBaseAttributesExtension getGoogleBaseAttributes()

  Accesses tags in the g: namespace.

  Returns:
    extension corresponding to tags in the g: namespace, never null but might be empty.

### getGoogleBaseMetadata

    public MetadataEntryExtension getGoogleBaseMetadata()

  Accesses tags in the gm: namespace (attribute histogram and item type descriptions). The gm: tags are read-only.

  Returns:
    extension corresponding to tags in the gm: namespace, never null but might be empty

### getMediaFeedLink

    public FeedLink<GoogleBaseMediaFeed> getMediaFeedLink()

  Returns the `FeedLink` object pointing to the media feed, or null if the media feed link is not provided (e.g. the entry is obtained from the `/snippets` feed).

  Returns:
    the feed link pointing to the media feed, or null if link is not provided

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Declares extensions for the g: and gm: namespaces to an extension profile.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - extension profile where the extensions will be declared
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`